#pragma once
#include "unit.h"



class Bonus : public Unit
{

  public:

    GR::u32                   m_Value;
    GR::u32                   m_HitCount;

    int                       m_YSpeed;

    bool                      m_Done;

    std::string               m_BonusImage;
    bool                      m_MakeDiamond;



    Bonus();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );

    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

    void                      HitWall();

    void                      ChangeToPickup();

};
